Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class Sensitivity

    java.lang.Object
      portlets.compoze.groupware.Sensitivity

All Implemented Interfaces:
  java.io.Serializable

public class Sensitivity
extends java.lang.Object
implements java.io.Serializable

This class represents sensitivity.

See Also:
  Serialized Form

Field Summary
`static Sensitivity` | `CONFIDENTIAL` This value represents a 'confidential' sensitivity.
`static Sensitivity` | `NORMAL` This value represents a 'normal' sensitivity.
`static Sensitivity` | `PERSONAL` This value represents a 'personal' sensitivity.
`static Sensitivity` | `PRIVATE` This value represents a 'private' sensitivity.
`static int` | `VALUE_CONFIDENTIAL` This value represents the 'confidential' value.
`static int` | `VALUE_NORMAL` This value represents the 'normal' value.
`static int` | `VALUE_PERSONAL` This value represents the 'personal' value.
`static int` | `VALUE_PRIVATE` This value represents the 'private' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Sensitivity` | `get(int iValue)` Gets the sensitivity by the value.
`java.lang.String` | `getKey()` Gets the key (message name) for i18n.
`static java.util.List` | `getSensitivities()` Gets the list of sensitivity objects.
`int` | `getValue()` Gets the value of the sensitivity.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NORMAL

    public static final int VALUE_NORMAL

  This value represents the 'normal' value.

  See Also:
    Constant Field Values

### VALUE_PERSONAL

    public static final int VALUE_PERSONAL

  This value represents the 'personal' value.

  See Also:
    Constant Field Values

### VALUE_PRIVATE

    public static final int VALUE_PRIVATE

  This value represents the 'private' value.

  See Also:
    Constant Field Values

### VALUE_CONFIDENTIAL

    public static final int VALUE_CONFIDENTIAL

  This value represents the 'confidential' value.

  See Also:
    Constant Field Values

### NORMAL

    public static final Sensitivity NORMAL

  This value represents a 'normal' sensitivity.

### PERSONAL

    public static final Sensitivity PERSONAL

  This value represents a 'personal' sensitivity.

### PRIVATE

    public static final Sensitivity PRIVATE

  This value represents a 'private' sensitivity.

### CONFIDENTIAL

    public static final Sensitivity CONFIDENTIAL

  This value represents a 'confidential' sensitivity.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (message name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the sensitivity.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static Sensitivity get(int iValue)

  Gets the sensitivity by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching sensitivity or `null` if not found

### getSensitivities

    public static java.util.List getSensitivities()

  Gets the list of sensitivity objects.

  Returns:
    the list of `Sensitivity` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.